package jd_union

import (
	zhios_third_party_utils "code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/utils"
	"github.com/syyongx/php2go"
	"sort"
	"strings"
	"time"
)

func Send(keyArr map[string]string, method, paramJson, version string) (string, error) {
	args := map[string]interface{}{
		"method":       method,
		"app_key":      keyArr["app_key"],
		"access_token": keyArr["access_token"],
		"timestamp":    time.Now().Format("2006-01-02 15:04:05"),
		"format":       "json",
		"v":            version,
		"param_json":   paramJson,
		"sign_method":  "md5",
	}
	// 获取Key
	var keys []string
	for k := range args {
		keys = append(keys, k)
	}
	// 排序asc
	sort.Strings(keys)
	str := ""
	for _, v := range keys {
		if args[v] == "" {
			continue
		}
		str += v + zhios_third_party_utils.AnyToString(args[v])
	}
	args["sign"] = strings.ToUpper(php2go.Md5(keyArr["app_secret"] + str + keyArr["app_secret"]))
	url := "https://router.jd.com/api"
	post, err := zhios_third_party_utils.CurlPost(url, args, nil)
	return string(post), err
}
